> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pontua.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Define os campos de um parâmetro de folha de pagamento



## OpenAPI

````yaml https://api.pre.pontua.tech/api/public/doc-json patch /payment-sheet/parameter/{paymentSheetParameterId}/fields
openapi: 3.0.0
info:
  title: Pontua Public API
  description: >-
    API oficial da Pontua para integrações de clientes externos. Autentique com
    o token gerado no dashboard em **Configurações → API**. Envie o token no
    header `Authorization: Bearer <SEU_TOKEN>`.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /payment-sheet/parameter/{paymentSheetParameterId}/fields:
    patch:
      tags:
        - Payment Sheet
      summary: Define os campos de um parâmetro de folha de pagamento
      operationId: PaymentSheetParameterController_defineFields
      parameters:
        - name: paymentSheetParameterId
          required: true
          in: path
          description: ID do parâmetro de folha de pagamento
          schema:
            type: string
      requestBody:
        required: true
        description: Dados dos campos
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DefinePaymentSheetParameterFieldsDto'
      responses:
        '200':
          description: Eventos definidos com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkDto'
        default:
          description: "\n\t\t\t400 - Bad Request: A solicitação não está no formato correto.\n\t\t\t401 - Unauthorized: A solicitação não foi autorizada. Verifique se o token de acesso é válido.\n\t\t\t403 - Forbidden: Acesso proibido! Requer um nível de permissão mais elevado.\n\t\t\t404 - Not Found: O recurso solicitado não foi encontrado.\n\t\t\t500 - Internal Server Error: Erro de execução no servidor!\n\t\t\t"
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
      deprecated: false
      security:
        - bearer: []
components:
  schemas:
    DefinePaymentSheetParameterFieldsDto:
      type: object
      properties:
        name:
          type: string
          description: Nome do parâmetro de folha de pagamento
          example: Keevo NG Folha
        fields:
          description: Campos do parâmetro de folha de pagamento
          type: array
          items:
            $ref: '#/components/schemas/CreatePaymentSheetParameterFieldDto'
      required:
        - fields
    OkDto:
      type: object
      properties:
        status:
          type: boolean
          description: Status da operação
          example: true
        mensagem:
          type: string
          description: Mensagem de retorno
          example: OK
      required:
        - status
    ErrorDto:
      type: object
      properties:
        service:
          type: string
          description: Rota solicitada
        method:
          type: string
          description: Método http
        message:
          description: Mensagem do erro
          oneOf:
            - type: string
              example: message erro
            - type: array
              items:
                type: string
                example:
                  - erro 1
                  - erro 2
      required:
        - service
        - method
        - message
    CreatePaymentSheetParameterFieldDto:
      type: object
      properties:
        eventId:
          type: string
          description: Id do evento de folha de pagamento
          example: 123-abc
        systemEvent:
          type: string
          description: Evento de folha de pagamento no sistema
          enum:
            - CT_FULL_SETTLEMENT
            - CT_SETTLEMENT_WITH_LIMIT
            - CT_INDIVIDUAL_SETTLEMENT
            - CT_BALANCE_TRANSFER
            - CT_BALANCE_ENTRY
            - OT_STANDARD_100_PERCENT
            - OT_STANDARD_50_PERCENT
            - OT_DAY_OFF
            - OT_HOLIDAY
            - OT_CUSTOM_PHASE_ONE
            - OT_CUSTOM_PHASE_TWO
            - OT_ADVANCED
            - OT_INTRAJOURNEY
            - ABSENCE_DAYS
            - ABSENCE_HOURS
            - ABSENCE_DATES
            - HALF_ABSENCE_DAYS
            - HALF_ABSENCE_HOURS
            - HALF_ABSENCE_DATES
            - VACATION_DAYS
            - LEAVE_DAYS
            - SCHEDULE_ADJUSTMENT_DAYS
            - ALLOWANCE_DAYS
            - DISCOUNTED_ALLOWANCE_DAYS
            - CERTIFICATE_DAYS
            - SUSPENSION_DAYS
            - CERTIFICATE_DATES
            - HOLIDAYS_AT_WORK
            - HOLIDAY_HOURS_AT_WORK
            - DELAYS_AND_ANTICIPATIONS
            - TOTAL_WORKED_HOURS
            - TOTAL_NEGATIVE_HOURS
            - TOTAL_POSITIVE_HOURS
            - NIGHT_DIFFERENTIAL
          default: OT_STANDARD_50_PERCENT
        advancedPercentage:
          type: number
          description: >-
            Percentual (decimal) de acréscimo, caso seja um evento de regra
            avançada ([OT_ADVANCED]). Caso contrário, o valor será sempre 0.
          example: 0.5
      required:
        - eventId
        - systemEvent

````